Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create push send

POST/workspaces/{organizationId}/push/send
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
tokenIdstring
userIdstring
titlestringrequired
min length 1
bodystringrequired
min length 1
dataobject
default: {}
Responses
202

Push delivery accepted

deliveriesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
tokenIdstringrequired
userIdstringrequired
payloadstringrequired
statusstringrequired
errorstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/push/send' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "tokenId": "string",
  "userId": "string",
  "title": "string",
  "body": "string",
  "data": {}
}'
Response
{
  "deliveries": [
    {
      "id": "string",
      "organizationId": "string",
      "tokenId": "string",
      "userId": "string",
      "payload": "string",
      "status": "string",
      "error": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?